docker_stack (latest)

Published 2023-03-15 16:21:38 +03:00 by pleshevskiy

Installation

docker pull git.pleshevski.ru/drone_plugins/docker_stack:latest
sha256:eb7af108eac77723cddf92445dab03186cd0db45e495efb27055fbc130df634c

Image Layers

ADD file:40887ab7c06977737e63c215c9bd297c0c74de8d12d16ebdf1c3d40ac392f62d in /
CMD ["/bin/sh"]
/bin/sh -c apk add --no-cache ca-certificates openssh-client
/bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf
ENV DOCKER_VERSION=23.0.1
/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-23.0.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-23.0.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-23.0.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-23.0.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version
ENV DOCKER_BUILDX_VERSION=0.10.4
/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-amd64'; sha256='dbe68cdc537d0150fc83e3f30974cd0ca11c179dafbf27f32d6f063be26e869b'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v6'; sha256='d50aa01a22a53e5a0eae9918274c9931b813b5336c0e30061a6b1904efb0c5eb'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v7'; sha256='aabc8cef5b9221ecbcb0af9846004a30591540be8668504d70814efe870448c8'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm64'; sha256='e8f666134cf4aa83ec2b1b6afef0c83b1ea1387984d7a40ae6657b7da4d82d91'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-ppc64le'; sha256='d107178f36e6c83286f3f9316e2f66b18f08306570cef209cb5840c880bd91ae'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-riscv64'; sha256='393db8518aeb442d0ca5f3ccf4800622dfc5eb8993c29bbfccb023cbfde6cdbc'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-s390x'; sha256='16ce9071c14293640e9bcd547ff01578c65cfc68fc6c154091abd81daaf10929'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version
ENV DOCKER_COMPOSE_VERSION=2.16.0
/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-x86_64'; sha256='54ab01967b05e392e6bf13afbc654146890b9fa40501b40aca83a2db18f10427'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-armv6'; sha256='59caa4c31a6515a81b44446d978891c5e1d0f460b9b11e38dea27e1bffdb4cd6'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-armv7'; sha256='558a083683bd597f5e167178dbdbe57824eecf2132bfb497a58f5d39c5e49e8a'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-aarch64'; sha256='edaf196a0b9ebe749aa1a42a6ce4550d2c6c2620762aa98c36088a9b96fd22ef'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-ppc64le'; sha256='aac719dc81ef117bdcca96d7e43ecd605ebcdc1df77c0b09b9d5faf15ccf952e'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-riscv64'; sha256='8c485ee45cf6be4d483179e925ffeb3b046280d1be045cdfc999c0a011ddfcd1'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.16.0/docker-compose-linux-s390x'; sha256='fbaff480bd7901c31ead046652c3f5a3c1236766ce9f52fadfa935a18dd463b8'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version
COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe
COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/
ENV DOCKER_TLS_CERTDIR=/certs
/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client
ENTRYPOINT ["docker-entrypoint.sh"]
CMD ["sh"]
/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid
/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-23.0.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-23.0.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-23.0.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-23.0.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner --exclude 'docker/docker' ; rm docker.tgz; dockerd --version; containerd --version; ctr --version; runc --version
ENV DIND_COMMIT=1f32e3c95d72a29b3eaacba156ed675dba976cb5
/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind
COPY file:43a39857f9d05e4d332004b3092add05287d8e5c8bc3f32126e6c4b4c3a2c8bb in /usr/local/bin/
VOLUME [/var/lib/docker]
EXPOSE 2375 2376
ENTRYPOINT ["dockerd-entrypoint.sh"]
CMD []
COPY file:37094bc8c510ed6058bb80b3bab7c900a94f8f909f888ab1a6fd28b75388c6e9 in /
/bin/sh -c chmod +x /entrypoint.sh
ENTRYPOINT ["/bin/sh" "-c" "/entrypoint.sh"]
LABEL org.opencontainers.image.created=2023-03-15T13:21:28Z
LABEL org.opencontainers.image.revision=33168324dc34b0311164032e9821c00624c85aa1
LABEL org.opencontainers.image.source=https://git.pleshevski.ru/drone_plugins/docker_stack.git
LABEL org.opencontainers.image.url=https://git.pleshevski.ru/drone_plugins/docker_stack

Labels

Key Value
org.opencontainers.image.created 2023-03-15T13:21:28Z
org.opencontainers.image.revision 33168324dc34b0311164032e9821c00624c85aa1
org.opencontainers.image.source https://git.pleshevski.ru/drone_plugins/docker_stack.git
org.opencontainers.image.url https://git.pleshevski.ru/drone_plugins/docker_stack
Details
Container
2023-03-15 16:21:38 +03:00
8
OCI / Docker
linux/amd64
106 MiB
Versions (1) View all
latest 2023-03-15